Index: CONFIG/UNIFORM/v6/IPSLESM6/GENERAL/DRIVER/inca.driver
===================================================================
--- CONFIG/UNIFORM/v6/IPSLESM6/GENERAL/DRIVER/inca.driver	(revision 3687)
+++ CONFIG/UNIFORM/v6/IPSLESM6/GENERAL/DRIVER/inca.driver	(revision 3687)
@@ -0,0 +1,337 @@
+#!/bin/ksh
+
+#D- Driver du script pour INCA
+#-----------------------------------------------------------------
+function INCA_sed_replace
+{
+    IGCM_debug_PushStack "INCA_sed_replace"
+
+    sed -e "s/${2}/${3}/" ${1} > ${1}.tmp
+    RET=$?
+    echo "INCA_sed : ${1} ${2} ${3}"
+    \mv ${1}.tmp ${1}
+
+    IGCM_debug_PopStack "INCA_sed_replace"
+    return $RET
+}
+#-----------------------------------------------------------------
+function CHM_Initialize
+{
+    IGCM_debug_PushStack "CHM_Initialize"
+
+    RESOL_CHM=$( echo $RESOL | awk "-Fx" '{print $2}' | awk "-FD" '{print $2}')
+
+    [ -f ${SUBMIT_DIR}/../.resol ] && eval $(grep RESOL_ATM_3D ${SUBMIT_DIR}/../.resol) || RESOL_ATM_3D=96x95x19
+    RESOL_CHM_Z=$( echo ${RESOL_ATM_3D} | awk "-Fx" '{print $3}' | awk "-F-" '{print $1}')
+    echo 'resol chimie', $RESOL_CHM
+
+    [ -f ${SUBMIT_DIR}/../.chimie ] && eval $(grep CHEM ${SUBMIT_DIR}/../.chimie) 
+    INCA_sed_replace ${SUBMIT_DIR}/config.card \${CHEM} ${CHEM}
+    echo "INCA Tag : LMDZ-INCA" ${config_UserChoices_TagName}
+
+    ##- LMDZ physics version
+    ##  Read LMDZ_Physics option in lmdz.card, if not present take default value AP (old physics) 
+    if [ ! X${lmdz_UserChoices_LMDZ_Physics} = X ] ; then
+	LMDZ_Physics=${lmdz_UserChoices_LMDZ_Physics}
+    else
+	LMDZ_Physics=AP
+    fi
+    echo LMDZ physics version : ${LMDZ_Physics}
+
+    enable1=.FALSE.
+    enable2=.FALSE.
+
+    for frequency in ${config_CHM_WriteFrequency} ; do
+	case ${frequency} in 
+	    1D|1d) enable1=.TRUE. ;;
+	esac
+	case ${frequency} in
+	    1M|1m) enable2=.TRUE. ;;
+	esac
+    done
+
+
+
+    IGCM_debug_PopStack "CHM_Initialize"
+}
+
+#-----------------------------------------------------------------
+function CHM_Update
+{
+    IGCM_debug_PushStack "CHM_Update"
+
+    case ${CHEM} in 
+	AER)
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml   forcage1     enabled ${enable1}
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml forcage2     enabled ${enable2}
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml   aero1        enabled ${enable1}
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml aero2        enabled ${enable2}
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml   chemistry1   enabled ${enable1}
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml chemistry2   enabled ${enable2}
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml   emissions1   enabled ${enable1}
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml emissions2   enabled ${enable2}
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml   species1     enabled ${enable1}
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml species2     enabled ${enable2}
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml   dvel1        enabled ${enable1}
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml dvel2        enabled ${enable2}
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml   washout1     enabled ${enable1}
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml washout2     enabled ${enable2}
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml   reacflux1    enabled ${enable1}
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml reacflux2    enabled ${enable2}
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml   invariants1  enabled ${enable1}
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml invariants2  enabled ${enable2}
+
+	    if [ X${LMDZ_Physics} = X"AP" ] ; then
+		IGCM_comp_modifyDefFile nonblocker run.def config_inca aero
+	    else
+		IGCM_comp_modifyDefFile nonblocker run.def config_inca aeNP
+	    fi
+	;;
+	DUSS)
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml forcage1     enabled ${enable1}
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml aero1        enabled ${enable1}
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml emissions1   enabled ${enable1}
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml species1     enabled ${enable1}
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml vegetation1  enabled ${enable1}
+
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml forcage2     enabled ${enable2}
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml aero2        enabled ${enable2}
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml emissions2   enabled ${enable2}
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml species2     enabled ${enable2}
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml vegetation2  enabled ${enable2}
+
+	    if [ X${LMDZ_Physics} = X"AP" ] ; then
+		IGCM_comp_modifyDefFile nonblocker run.def config_inca aero
+	    else
+		IGCM_comp_modifyDefFile nonblocker run.def config_inca aeNP
+	    fi
+	;;
+	NMHC) 
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml reacflux1    enabled ${enable1}
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml emissions1   enabled ${enable1}
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml species1     enabled ${enable1}
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml chemistry1   enabled ${enable1}
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml dvel1        enabled ${enable1}
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml washout1     enabled ${enable1}
+
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml reacflux2  enabled ${enable2}  
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml emissions2 enabled ${enable2}  
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml species2   enabled ${enable2}  
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml chemistry2 enabled ${enable2}  
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml dvel2      enabled ${enable2}  
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml washout2   enabled ${enable2}  
+
+	    IGCM_comp_modifyDefFile nonblocker run.def config_inca chem
+	    ;;
+	NMHC_AER)
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml forcage1     enabled ${enable1}
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml aero1        enabled ${enable1}
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml species1     enabled ${enable1}
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml chemistry1   enabled ${enable1}
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml emissions1   enabled ${enable1}
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml dvel1        enabled ${enable1}
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml phtrate1     enabled ${enable1}
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml washout1     enabled ${enable1}
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml reacflux1    enabled ${enable1}
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml vegetation1  enabled ${enable1}
+
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml forcage2    enabled ${enable2}  
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml aero2       enabled ${enable2} 
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml species2    enabled ${enable2} 
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml chemistry2  enabled ${enable2} 
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml emissions2  enabled ${enable2} 
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml dvel2       enabled ${enable2} 
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml phtrate2    enabled ${enable2} 
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml washout2    enabled ${enable2} 
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml reacflux2   enabled ${enable2} 
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml vegetation2 enabled ${enable2} 
+
+	    if [ X${LMDZ_Physics} = X"AP" ] ; then
+		IGCM_comp_modifyDefFile nonblocker run.def config_inca aero
+	    else
+		IGCM_comp_modifyDefFile nonblocker run.def config_inca aeNP
+	    fi
+	;;
+
+	NMHC_AER_S)
+ 	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml forcage1     enabled ${enable1}
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml aero1        enabled ${enable1}
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml species1     enabled ${enable1}
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml chemistry1   enabled ${enable1}
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml emissions1   enabled ${enable1}
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml dvel1        enabled ${enable1}
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml phtrate1     enabled ${enable1}
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml washout1     enabled ${enable1}
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml reacflux1    enabled ${enable1}
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml vegetation1  enabled ${enable1}
+
+ 	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml forcage2    enabled ${enable2} 
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml aero2       enabled ${enable2} 
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml species2    enabled ${enable2} 
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml chemistry2  enabled ${enable2} 
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml emissions2  enabled ${enable2} 
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml phtrate2    enabled ${enable2} 
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml dvel2       enabled ${enable2} 
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml washout2    enabled ${enable2} 
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml reacflux2   enabled ${enable2} 
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml vegetation2 enabled ${enable2}  
+
+	    if [ X${LMDZ_Physics} = X"AP" ] ; then
+		IGCM_comp_modifyDefFile nonblocker run.def config_inca aero
+	    else
+		IGCM_comp_modifyDefFile nonblocker run.def config_inca aeNP
+	    fi
+	;;
+	GES)
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml emissions1    enabled ${enable1}
+
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml emissions2    enabled ${enable2}
+
+	    IGCM_comp_modifyDefFile nonblocker run.def config_inca chem
+	esac
+
+
+    # inca.def : Activate reading of 10m wind in files if LMDZ_10m_winds=n in inca.card
+    if [ ! X${inca_UserChoices_LMDZ_10m_winds} = X ] ; then
+	IGCM_comp_modifyDefFile nonblocker inca.def LMDZ_10m_winds  ${inca_UserChoices_LMDZ_10m_winds}
+    else
+	IGCM_comp_modifyDefFile nonblocker inca.def LMDZ_10m_winds  n
+    fi
+
+    if [  X${inca_UserChoices_10m_winds_method} = X ] ; then
+    IGCM_comp_modifyDefFile nonblocker inca.def  10m_winds_method  threshold
+    else
+    IGCM_comp_modifyDefFile nonblocker inca.def  10m_winds_method ${inca_UserChoices_10m_winds_method}
+    fi
+
+
+    if [ ! X${inca_UserChoices_wind_parameter} = X ] ; then 
+	if [  X${inca_UserChoices_10m_winds_method} = Xthreshold ] ; then 
+	    IGCM_comp_modifyDefFile nonblocker inca.def  tref ${inca_UserChoices_wind_parameter}
+	    IGCM_comp_modifyDefFile nonblocker inca.def  kref DEFAULT
+	else
+	    IGCM_comp_modifyDefFile nonblocker inca.def  kref ${inca_UserChoices_wind_parameter}
+	    IGCM_comp_modifyDefFile nonblocker inca.def  tref DEFAULT
+	fi
+    else
+	    IGCM_comp_modifyDefFile nonblocker inca.def  kref DEFAULT
+	    IGCM_comp_modifyDefFile nonblocker inca.def  tref DEFAULT
+    fi
+
+    if [  X${inca_UserChoices_seasalt_corr} = X ] ; then
+    IGCM_comp_modifyDefFile nonblocker inca.def  ss_corr  DEFAULT
+    else
+    IGCM_comp_modifyDefFile nonblocker inca.def  ss_corr ${inca_UserChoices_seasalt_corr}
+    fi
+
+
+
+    # inca.def : choose write frequency for inca_avgr in inca.card
+    if [ ! X${inca_UserChoices_freq_write_chem} = X ] ; then
+	IGCM_comp_modifyDefFile nonblocker inca.def freq_write_chem  ${inca_UserChoices_freq_write_chem}
+    else
+	IGCM_comp_modifyDefFile nonblocker inca.def  freq_write_chem  86400
+    fi
+
+    #inca.def : choose aerosol effect with feedback variable
+    if [ ! X${inca_UserChoices_feedb} = X ] ; then
+	IGCM_comp_modifyDefFile nonblocker inca.def  feedb  ${inca_UserChoices_feedb}
+    else
+	IGCM_comp_modifyDefFile nonblocker inca.def feedb  0
+    fi
+    
+    #inca.def : choose coupled model with orchidee  
+    if [ ! X${inca_UserChoices_CoupOrchInca} = X ]; then 
+	IGCM_comp_modifyDefFile nonblocker inca.def CoupOrchInca ${inca_UserChoices_CoupOrchInca}
+    else
+	IGCM_comp_modifyDefFile nonblocker inca.def CoupOrchInca n
+    fi
+
+    #inca.def : choose sedimentation schema 
+    if [ ! X${inca_UserChoices_multilayer_sedim} = X ]; then 
+	IGCM_comp_modifyDefFile nonblocker inca.def multilayer_sediment ${inca_UserChoices_multilayer_sedim}
+    else
+	IGCM_comp_modifyDefFile nonblocker inca.def multilayer_sediment y
+    fi
+
+    #inca.def : choose calcul interactif des diagnostiques flux chimique ou non  
+    if [ ! X${inca_UserChoices_calcul_flux} = X ]; then 
+	IGCM_comp_modifyDefFile nonblocker inca.def calcul_flux ${inca_UserChoices_calcul_flux}
+    else
+	IGCM_comp_modifyDefFile nonblocker inca.def calcul_flux n
+    fi
+
+    #inca.def : choose aircraft emission 
+    if [ ! X${inca_UserChoices_flag_plane} = X ]; then 
+	IGCM_comp_modifyDefFile nonblocker inca.def flag_plane ${inca_UserChoices_flag_plane}
+    else
+	IGCM_comp_modifyDefFile nonblocker inca.def flag_plane 0
+    fi
+    
+    #inca.def : choose time interpolation for sflx.nc
+    if [ ! X${inca_UserChoices_emi_interp_time} = X ]; then 
+	IGCM_comp_modifyDefFile nonblocker inca.def emi_interp_time ${inca_UserChoices_emi_interp_time}
+    else
+	IGCM_comp_modifyDefFile nonblocker inca.def emi_interp_time 1
+    fi
+
+    #inca.def : choose output library 
+    if [  X${inca_UserChoices_XIOS} = Xy ] ; then
+	IGCM_comp_modifyDefFile nonblocker inca.def  XIOS_INCA_OK  y
+    else
+	IGCM_comp_modifyDefFile nonblocker inca.def  XIOS_INCA_OK n
+    fi
+
+    if [  X${inca_UserChoices_IOIPSL} = Xy ] ; then
+	IGCM_comp_modifyDefFile nonblocker inca.def  IOIPSL_INCA_OK  y
+    else
+	IGCM_comp_modifyDefFile nonblocker inca.def  IOIPSL_INCA_OK n
+    fi
+
+
+
+
+    if [ X${inca_UserChoices_XIOS}  = Xy ] ; then
+    # Add include of INCA context in iodef.xml
+    # In iodef.xml add on next line after "COMPONENT CONTEXT"
+    #  <context id="inca" src="./context_inca.xml"/>
+	echo '<context id="inca" src="./context_inca.xml"/>' > add.tmp
+	cp iodef.xml iodef.xml.tmp
+	sed -e "/COMPONENT CONTEXT/r add.tmp" \
+	    iodef.xml.tmp > iodef.xml
+	rm iodef.xml.tmp add.tmp
+    fi
+
+    # Add LongName as global attribute in XIOS output files (if LongName is not empty)
+    if [ ! "X${config_UserChoices_LongName}" = "X" ] ; then
+	listfile=$(ls file_def*inca.xml)
+	echo "<variable id=\"LongName\" type=\"string\">${config_UserChoices_LongName}</variable>" > add.tmp
+	for file in ${listfile}
+	do
+	    cp ${file} ${file}.tmp
+	    sed -e "/<file id/r add.tmp" \
+		${file}.tmp > ${file}
+	    rm ${file}.tmp 
+	done
+	rm add.tmp
+    fi
+
+    IGCM_debug_PopStack "CHM_Update"
+}
+
+#-----------------------------------------------------------------
+function CHM_Finalize
+{
+    IGCM_debug_PushStack "CHM_Finalize"
+
+    echo FINALIZE CHM !!!
+#
+#    IGCM_sys_Mkdir ${R_OUT_EXE}
+#    cd ${MODIPSL}
+#    tar cf src_${config_UserChoices_JobName}.tar  modeles
+#    IGCM_sys_Mv src_${config_UserChoices_JobName}.tar ${R_OUT_EXE}/.
+#    cd -
+#
+
+    IGCM_debug_PopStack "CHM_Finalize"
+}
Index: CONFIG/UNIFORM/v6/IPSLESM6/GENERAL/DRIVER/lim2.driver
===================================================================
--- CONFIG/UNIFORM/v6/IPSLESM6/GENERAL/DRIVER/lim2.driver	(revision 3483)
+++ CONFIG/UNIFORM/v6/IPSLESM6/GENERAL/DRIVER/lim2.driver	(revision 3687)
@@ -39,8 +39,8 @@
     IGCM_debug_Print 1 ${VI1D_ENABLE}  ${VI5D_ENABLE} ${VI1M_ENABLE} ${VI1Y_ENABLE}
 
-    IGCM_comp_modifyXmlFile nonblocker file_def_nemo-lim.xml 1d enabled ${VI1D_ENABLE}
-    IGCM_comp_modifyXmlFile nonblocker file_def_nemo-lim.xml 5d enabled ${VI5D_ENABLE}
-    IGCM_comp_modifyXmlFile nonblocker file_def_nemo-lim.xml 1m enabled ${VI1M_ENABLE}
-    IGCM_comp_modifyXmlFile nonblocker file_def_nemo-lim.xml 1y enabled ${VI1Y_ENABLE}
+    IGCM_comp_modifyXmlFile nonblocker file_def_nemo-lim.xml 1d_lim enabled ${VI1D_ENABLE}
+    IGCM_comp_modifyXmlFile nonblocker file_def_nemo-lim.xml 5d_lim enabled ${VI5D_ENABLE}
+    IGCM_comp_modifyXmlFile nonblocker file_def_nemo-lim.xml 1m_lim enabled ${VI1M_ENABLE}
+    IGCM_comp_modifyXmlFile nonblocker file_def_nemo-lim.xml 1y_lim enabled ${VI1Y_ENABLE}
 
     echo UPDATE ICE !!!
Index: CONFIG/UNIFORM/v6/IPSLESM6/GENERAL/DRIVER/lim3.driver
===================================================================
--- CONFIG/UNIFORM/v6/IPSLESM6/GENERAL/DRIVER/lim3.driver	(revision 3483)
+++ CONFIG/UNIFORM/v6/IPSLESM6/GENERAL/DRIVER/lim3.driver	(revision 3687)
@@ -36,11 +36,18 @@
   # Update iodef.xml
 
+    if [ X"$( echo ${config_UserChoices_ExpType} | grep CMIP6 )" != "X" ] ; then       
+	VI1D_ENABLE=".FALSE."
+	VI5D_ENABLE=".FALSE."
+	VI1M_ENABLE=".FALSE."
+	VI1Y_ENABLE=".FALSE."
+    fi
+
     IGCM_debug_Print 1 'Informations into iodef.xml : VI1D_ENABLE VI5D_ENABLE VI1M_ENABLE VI1Y_ENABLE '
     IGCM_debug_Print 1 ${VI1D_ENABLE}  ${VI5D_ENABLE} ${VI1M_ENABLE} ${VI1Y_ENABLE}
 
-    IGCM_comp_modifyXmlFile nonblocker file_def_nemo-lim.xml 1d enabled ${VI1D_ENABLE}
-    IGCM_comp_modifyXmlFile nonblocker file_def_nemo-lim.xml 5d enabled ${VI5D_ENABLE}
-    IGCM_comp_modifyXmlFile nonblocker file_def_nemo-lim.xml 1m enabled ${VI1M_ENABLE}
-    IGCM_comp_modifyXmlFile nonblocker file_def_nemo-lim.xml 1y enabled ${VI1Y_ENABLE}
+    IGCM_comp_modifyXmlFile nonblocker file_def_nemo-lim.xml 1d_lim enabled ${VI1D_ENABLE}
+    IGCM_comp_modifyXmlFile nonblocker file_def_nemo-lim.xml 5d_lim enabled ${VI5D_ENABLE}
+    IGCM_comp_modifyXmlFile nonblocker file_def_nemo-lim.xml 1m_lim enabled ${VI1M_ENABLE}
+    IGCM_comp_modifyXmlFile nonblocker file_def_nemo-lim.xml 1y_lim enabled ${VI1Y_ENABLE}
 
     echo UPDATE ICE !!!
Index: CONFIG/UNIFORM/v6/IPSLESM6/GENERAL/DRIVER/lmdz.driver
===================================================================
--- CONFIG/UNIFORM/v6/IPSLESM6/GENERAL/DRIVER/lmdz.driver	(revision 3483)
+++ CONFIG/UNIFORM/v6/IPSLESM6/GENERAL/DRIVER/lmdz.driver	(revision 3687)
@@ -53,4 +53,5 @@
     ok_hf3hm=.FALSE.
     ok_stn=.FALSE.
+
 
     case ${config_UserChoices_PeriodLength} in
@@ -80,5 +81,14 @@
     done
 
-    ##  Read LMDZ_COSP_OK in lmdz.card
+    if [ X"$( echo ${config_UserChoices_ExpType} | grep CMIP6 )" != "X" ] ; then
+        ok_mensuel=.FALSE.
+        ok_journe=.FALSE.
+        ok_hf=.FALSE.
+        ok_hf3h=.FALSE.
+        ok_hf3hm=.FALSE.
+        ok_stn=.FALSE.
+    fi
+
+##  Read LMDZ_COSP_OK in lmdz.card
     if [ X${lmdz_UserChoices_LMDZ_COSP_OK} = Xy ] ; then
 	##  LMDZ_COSP_OK=y, now read all other COSP variables
@@ -159,4 +169,5 @@
 
     # Read value for co2_ppm from file CO2.txt. If file not existing, take DEFAULT value from file. 
+    # Calculate co2_ppm_per as co2_ppm*4.
     if [ -f CO2.txt ] ; then
        	value=`grep Annee_${year} CO2.txt | awk -F= '{print $2}'`
@@ -166,8 +177,11 @@
 	    IGCM_debug_Verif_Exit
 	fi
+	value4=`grep Annee_${year} CO2.txt | awk -F= '{print $2 * 4}'`
     else
 	value=DEFAULT
+	value4=DEFAULT
     fi
     IGCM_comp_modifyDefFile nonblocker config.def co2_ppm $value
+    IGCM_comp_modifyDefFile nonblocker config.def co2_ppm_per $value4
 
 
@@ -456,4 +470,8 @@
     #  <context id="LMDZ" src="./context_lmdz.xml"/>
     echo '<context id="LMDZ" src="./context_lmdz.xml"/>' > add.tmp
+    if [ X"$( echo ${config_UserChoices_ExpType} | grep CMIP6 )" != "X" ] ; then
+	echo '<context id="LMDZ" src="./ping_lmdz.xml"/>' >> add.tmp
+	echo '<context id="LMDZ" src="./dr2xml_lmdz.xml"/>' >> add.tmp
+    fi
     cp iodef.xml iodef.xml.tmp
     sed -e "/COMPONENT CONTEXT/r add.tmp" iodef.xml.tmp > iodef.xml
Index: CONFIG/UNIFORM/v6/IPSLESM6/GENERAL/DRIVER/opa9.driver
===================================================================
--- CONFIG/UNIFORM/v6/IPSLESM6/GENERAL/DRIVER/opa9.driver	(revision 3483)
+++ CONFIG/UNIFORM/v6/IPSLESM6/GENERAL/DRIVER/opa9.driver	(revision 3687)
@@ -134,4 +134,9 @@
     fi
 
+    if ( [ "${CumulPeriod}" -eq 1 ] && [ "${opa9_UserChoices_Restart_TS_only}" = "y" ] ) ; then
+      OPA_LRSTAR_TS=.TRUE.
+    else
+      OPA_LRSTAR_TS=.FALSE.
+    fi
 
     ##-- Meshmask option. Forced only once.
@@ -167,24 +172,34 @@
     NEMO_END=$( echo $( awk "BEGIN { printf \"%0${PRECIS}d\",${OPA_NITEND} }" ) ) 
 
-    IGCM_comp_modifyNamelist blocker    namelist_cfg cn_exp    ${config_UserChoices_JobName}
-    IGCM_comp_modifyNamelist blocker    namelist_cfg nn_it000  ${OPA_NIT000}
-    IGCM_comp_modifyNamelist blocker    namelist_cfg nn_itend  ${OPA_NITEND}
-    IGCM_comp_modifyNamelist blocker    namelist_cfg ln_rstart ${OPA_LRSTAR}
-    IGCM_comp_modifyNamelist blocker    namelist_cfg nn_stock  ${OPA_NSTOCK}
-    IGCM_comp_modifyNamelist blocker    namelist_cfg nn_rstctl ${OPA_NRSTDT}
-    IGCM_comp_modifyNamelist blocker    namelist_cfg nn_date0  ${PeriodDateBegin}
-    IGCM_comp_modifyNamelist nonblocker namelist_cfg nn_msh    ${OPA_NMSH}
+    IGCM_comp_modifyNamelist blocker    namelist_cfg cn_exp       ${config_UserChoices_JobName}
+    IGCM_comp_modifyNamelist blocker    namelist_cfg nn_it000     ${OPA_NIT000}
+    IGCM_comp_modifyNamelist blocker    namelist_cfg nn_itend     ${OPA_NITEND}
+    IGCM_comp_modifyNamelist blocker    namelist_cfg ln_rstart    ${OPA_LRSTAR}
+    IGCM_comp_modifyNamelist blocker    namelist_cfg ln_rstart_ts ${OPA_LRSTAR_TS}
+    IGCM_comp_modifyNamelist blocker    namelist_cfg nn_stock     ${OPA_NSTOCK}
+    IGCM_comp_modifyNamelist blocker    namelist_cfg nn_rstctl    ${OPA_NRSTDT}
+    IGCM_comp_modifyNamelist blocker    namelist_cfg nn_date0     ${PeriodDateBegin}
+    IGCM_comp_modifyNamelist nonblocker namelist_cfg nn_msh       ${OPA_NMSH}
     IGCM_comp_modifyNamelist nonblocker namelist_cfg nn_rnf_depth_file  ${OPA_NMSH}
-    IGCM_comp_modifyNamelist blocker    namelist_cfg nn_leapy  ${OPA_NLEAPY}
+    IGCM_comp_modifyNamelist blocker    namelist_cfg nn_leapy     ${OPA_NLEAPY}
     
     # Update iodef.xml
+
+    if [ X"$( echo ${config_UserChoices_ExpType} | grep CMIP6 )" != "X" ] ; then       
+	V1D_ENABLE=".FALSE."
+	V5D_ENABLE=".FALSE."
+	V1M_ENABLE=".FALSE."
+	V1Y_ENABLE=".FALSE."
+    fi
 
     IGCM_debug_Print 1 'Informations into iodef.xml : V1D_ENABLE V5D_ENABLE V1M_ENABLE V1Y_ENABLE '
     IGCM_debug_Print 1 ${V1D_ENABLE}  ${V5D_ENABLE} ${V1M_ENABLE} ${V1Y_ENABLE}
 
-    IGCM_comp_modifyXmlFile nonblocker file_def_nemo-opa.xml 1d enabled ${V1D_ENABLE}
-    IGCM_comp_modifyXmlFile nonblocker file_def_nemo-opa.xml 5d enabled ${V5D_ENABLE}
-    IGCM_comp_modifyXmlFile nonblocker file_def_nemo-opa.xml 1m enabled ${V1M_ENABLE}
-    IGCM_comp_modifyXmlFile nonblocker file_def_nemo-opa.xml 1y enabled ${V1Y_ENABLE}
+    IGCM_comp_modifyXmlFile nonblocker file_def_nemo-opa.xml 1d_opa enabled ${V1D_ENABLE}
+    IGCM_comp_modifyXmlFile nonblocker file_def_nemo-opa.xml 5d_opa enabled ${V5D_ENABLE}
+    IGCM_comp_modifyXmlFile nonblocker file_def_nemo-opa.xml 1m_opa enabled ${V1M_ENABLE}
+    IGCM_comp_modifyXmlFile nonblocker file_def_nemo-opa.xml 1y_opa enabled ${V1Y_ENABLE}
+
+    IGCM_comp_modifyXmlFile force context_nemo.xml ref_year NONE ${opa9_UserChoices_TimeOrigin}
 	
  
@@ -200,4 +215,8 @@
     #  <context id="nemo" src="./context_nemo.xml"/>
     echo '<context id="nemo" src="./context_nemo.xml"/>' > add.tmp
+    if [ X"$( echo ${config_UserChoices_ExpType} | grep CMIP6 )" != "X" ] ; then
+	echo '<context id="nemo" src="./ping_nemo.xml"/>' >> add.tmp
+	echo '<context id="nemo" src="./dr2xml_opa9.xml"/>' >> add.tmp
+    fi
     cp iodef.xml iodef.xml.tmp
     sed -e "/COMPONENT CONTEXT/r add.tmp" \
